Bug 1401471 - PING test validation scripts fail during deployment, when DPDK nic is used for tenant network
Summary: PING test validation scripts fail during deployment, when DPDK nic is used fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Karthik Sundaravel
QA Contact: Yariv
URL:
Whiteboard:
Depends On:
Blocks: 1406865
TreeView+ depends on / blocked
 
Reported: 2016-12-05 11:43 UTC by Karthik Sundaravel
Modified: 2017-05-17 19:49 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:49:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Karthik Sundaravel 2016-12-05 11:43:29 UTC
Our Nic config for OVS-DPDK in 
a) Compute node.
            -
              type: ovs_user_bridge
              name: br-link
              use_dhcp: false
              addresses:
                -
                  ip_netmask: {get_param: TenantIpSubnet}
              members:
                -
                  type: ovs_dpdk_port
                  name: dpdk0
                  members:
                    -
                      type: interface
                      name: nic4

b) Controller node

            -
              type: ovs_bridge
              name: br-link
              use_dhcp: false
              addresses:
                -
                  ip_netmask: {get_param: TenantIpSubnet}
              members:
                -
                  type: interface
                  name: nic4


The PING test fails (/usr/share/openstack-tripleo-heat-templates/validation-scripts/all-nodes.sh) after first boot during deployment. 
The DPDK params are not set and at this stage, the DPDK interface is in error state and br-link will not have the IP Address, which causes the PING test to fail.

Please note that the DPDK interface will be up only after setting the DPDK OPTIONS in /etc/sysconfig/openvswitch
 (during step 4 of deployment) and restarting the openvswitch.service (in post-install scripts).

If we comment the ping test, then the deployment succeeds.

Comment 1 Karthik Sundaravel 2016-12-05 11:44:41 UTC
Dan Sneddon's Comments:

It sounds like we will need some modifications to make this work, I
think any of the following would work:

* Reorder operations so that the DPDK initialization happens before the
ping test, perhaps by moving the setting of /etc/sysconfig/openvswitch
and restarting of the openvswitch service to an earlier step in the
deployment

* Modify the ping test so that it ignores interfaces on DPDK bridges

* Modify os-net-config so that it completes all the actions needed to
make the interface pingable after os-net-config runs

Comment 2 Vijay Chundury 2017-03-02 11:35:24 UTC
This scenario can be validated by QA by the document provided by karthik.

https://docs.google.com/a/redhat.com/document/d/1VhpoBcKj5oVZqXUoDPUKh_g43ITUazZcSl-GiJOxYUs/edit?usp=sharing.

Request the QE team to talk to Karthik before testing this scenario to be in sync with the document.

Comment 9 Eyal Dannon 2017-05-03 08:40:47 UTC
Thank you Karthik,

I've verified this bug with OSPd 11, puddle 2017-04-24.2
br-link gets an IP and passes PING test.

Thanks,

Comment 10 errata-xmlrpc 2017-05-17 19:49:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.